Parses the name out of a templateId-String

### Hierarchy

- NameParser

### Implements

- Component

## Index

### Properties

- regexNameParser

### Methods

- Process

## Properties

### Private regexNameParser

regexNameParser: RegExp = new RegExp('AVATAR_(.*?)_(.*)', 'g')

- Defined in components/avatar-customization/shared/name-parser.component.ts:8

## Methods

### Process

- Process(templateId: string): string

- - Defined in components/avatar-customization/shared/name-parser.component.ts:14

  Parses the name out of a templateId-string

  #### Parameters

  - ##### templateId: string

  #### Returns string

  The name of item parsed out of the given templateId string

Generated using TypeDoc